package com.sv.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 用户会员卡
 *
 * @author lihong
 * @since 2018-08-03
 */
public class MemberCard implements Serializable {


    /**
     * 
     */
    private Integer id;

    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private String nickname;

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 会员卡类型
     */
    private String cardType;

    /**
     * 场馆类型
     */
    private Integer venueType;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 有效开始时间
     */
    private Date startTime;

    /**
     * 有效结束时间
     */
    private Date endTime;

    /**
     * 激活状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    private Integer status;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;


    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置会员卡类型
     *
     * @param cardType 会员卡类型
     */
    public void setCardType(String cardType){
        this.cardType = cardType;
    }

    /**
     * 获取会员卡类型
     *
     * @return 会员卡类型
     */
    public String getCardType(){
        return cardType;
    }


    /**
     * 设置场馆类型
     *
     * @param venueType 场馆类型
     */
    public void setVeneuType(Integer venueType){
        this.venueType = venueType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVeneuType(){
        return venueType;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置有效开始时间
     *
     * @param startTime 有效开始时间
     */
    public void setStartTime(Date startTime){
        this.startTime = startTime;
    }

    /**
     * 获取有效开始时间
     *
     * @return 有效开始时间
     */
    public Date getStartTime(){
        return startTime;
    }


    /**
     * 设置有效结束时间
     *
     * @param endTime 有效结束时间
     */
    public void setEndTime(Date endTime){
        this.endTime = endTime;
    }

    /**
     * 获取有效结束时间
     *
     * @return 有效结束时间
     */
    public Date getEndTime(){
        return endTime;
    }


    /**
     * 设置激活状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @param status 激活状态
     */
    public void setStatus(Integer status){
        this.status = status;
    }

    /**
     * 获取激活状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @return 激活状态
     */
    public Integer getStatus(){
        return status;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}